ランタイム: Mix::Scene::IEffectPackage Class Reference

ランタイム

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | List of all members
Mix::Scene::IEffectPackage Class Referenceabstract

エフェクトパッケージインターフェース More...

`#include <IEffectPackage.h>`

Inheritance diagram for Mix::Scene::IEffectPackage:
[legend]
Collaboration diagram for Mix::Scene::IEffectPackage:
[legend]

## Public Member Functions

virtual const wchar_t * | GetDirectoryPath (void) const =0
| ディレクトリパスを取得します More...
virtual const wchar_t * | GetName (void) const =0
| 名前を取得します More...
virtual const wchar_t * | GetFilePath (void) const =0
| ファイルパスを取得します More...
virtual Mix::Scene::IRenderer::TYPE | GetRendererType (void) const =0
| レンダラータイプを取得します More...
virtual Mix::Scene::IMaterial::TYPE | GetMaterialType (void) const =0
| マテリアルタイプを取得します More...
Public Member Functions inherited from Mix::Reference
void | AddRef (void)
| 参照数を 1 増やします More...
void | Release (void)
| 参照数を 1 減らします More...
Long32 | GetRefCount (void)
| 参照数を取得します More...

## Protected Member Functions

virtual | ~IEffectPackage (void)
| デストラクタ More...
Protected Member Functions inherited from Mix::Reference
| MIX_DECLARE_ALLOCATOR ()
| Reference (void)
| コンストラクタ More...
| Reference (Long32 count)
| コンストラクタ More...
virtual | ~Reference (void)
| デストラクタ More...

## Detailed Description

エフェクトパッケージインターフェース

## Constructor & Destructor Documentation

virtual Mix::Scene::IEffectPackage::~IEffectPackage | ( | void |  | ) |

inlineprotectedvirtual

デストラクタ

## Member Function Documentation

virtual const wchar_t* Mix::Scene::IEffectPackage::GetDirectoryPath | ( | void |  | ) | const

pure virtual

ディレクトリパスを取得します

Returns
  ディレクトリパスを返します

virtual const wchar_t* Mix::Scene::IEffectPackage::GetName | ( | void |  | ) | const

pure virtual

名前を取得します

Returns
  名前を返します

virtual const wchar_t* Mix::Scene::IEffectPackage::GetFilePath | ( | void |  | ) | const

pure virtual

ファイルパスを取得します

Returns
  ファイルパスを返します

virtual Mix::Scene::IRenderer::TYPE Mix::Scene::IEffectPackage::GetRendererType | ( | void |  | ) | const

pure virtual

レンダラータイプを取得します

Returns
  タイプを表す Mix::Scene::IRenderer::TYPE 列挙定数を返します

virtual Mix::Scene::IMaterial::TYPE Mix::Scene::IEffectPackage::GetMaterialType | ( | void |  | ) | const

pure virtual

マテリアルタイプを取得します

Returns
  マテリアルタイプを表す Mix::Scene::IMaterial::TYPE 列挙定数を返します

The documentation for this class was generated from the following file:

- Mix/Scene/IEffectPackage.h